"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const del = async ({
  inlineLedgerRunQuery,
  tablePrefix,
  escapeId,
  escapeStr,
  searchToWhereExpression,
  makeNestedPath,
  schemaName
}, readModelName, tableName, searchExpression) => {
  const searchExpr = searchToWhereExpression(searchExpression, escapeId, escapeStr, makeNestedPath);
  const inlineSearchExpr = searchExpr.trim() !== '' ? `WHERE ${searchExpr} ` : '';
  await inlineLedgerRunQuery(`DELETE FROM ${escapeId(schemaName)}.${escapeId(`${tablePrefix}${tableName}`)}
    ${inlineSearchExpr};`);
};

var _default = del;
exports.default = _default;
//# sourceMappingURL=delete.js.map