"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const insert = async ({
  inlineLedgerRunQuery,
  escapeId,
  escapeStr,
  tablePrefix,
  schemaName
}, readModelName, tableName, document) => {
  await inlineLedgerRunQuery(`INSERT INTO ${escapeId(schemaName)}.${escapeId(`${tablePrefix}${tableName}`)}(${Object.keys(document).map(key => escapeId(key)).join(', ')})
      VALUES(${Object.keys(document).map(key => `CAST(${escapeStr(JSON.stringify(document[key]))} AS JSONB)`).join(', ')});
    `);
};

var _default = insert;
exports.default = _default;
//# sourceMappingURL=insert.js.map